# $Revision: 1.13 $, $Date: 2010/07/08 08:03:31 $
%define		modulename	pychm
Summary:	Python package to handle CHM files
Summary(pl.UTF-8):	Pakiet dla pythona do obsługi plików CHM
Name:		python-chm
Version:	0.8.4
Release:	3
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/gnochm/%{modulename}-%{version}.tar.gz
# Source0-md5:	ff7f0baf94290c44263a1618e7e6a116
URL:		http://gnochm.sourceforge.net/pychm.html
BuildRequires:	chmlib-devel
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python
Obsoletes:	pychm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The chm package provides three modules, chm, chmlib and extra, which
provide access to the API implemented by the C library chmlib and some
additional classes and functions. They are used to access MS-ITSS
encoded files - Compressed HTML Help files (.chm).

%description -l pl.UTF-8
Pakiet chm udostępnia trzy moduły - chm, chmlib i extra, które
udostępniają dostęp do API biblioteki chmlib oraz kilka dodatkowych
klas i funkcji. Są one wykorzystywane do dostępu zakodowanych w
MS-ITSS plików - skompresowanych plików pomocy HTML(.chm).

%prep
%setup -q -n %{modulename}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%dir %{py_sitedir}/chm
%attr(755,root,root) %{py_sitedir}/chm/*.so
%{py_sitedir}/chm/*.py[oc]
%{py_sitedir}/pychm-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-chm.spec,v $
Revision 1.13  2010/07/08 08:03:31  arekm
- release 3

Revision 1.12  2008/10/03 17:47:14  arekm
- release 2

Revision 1.11  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.9  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.8  2006/11/14 21:58:37  qboosh
- updated to 0.8.4
- package .egg-info (BR: python 2.5), don't package COPYING (just GPL)

Revision 1.7  2006/09/27 20:16:06  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.6  2006/08/25 11:30:56  wrobell
- ver. 0.8.3
- require python 2.5 to build

Revision 1.5  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.4  2005/02/14 08:33:11  paladine
- updated to 0.8.2
- proper license and url

Revision 1.3  2004/12/23 21:34:19  saq
- release 2 for rebuild with python 2.4

Revision 1.2  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.1  2004/08/28 12:38:25  undefine
- initital pld version based on built spec
